/**
 * created by wbz20
 * on 2018/11/8
 * */

// 用于增改详组件与主页面组件路由跳转时刷新判断
export default {
  data () {
    return {
      needRefresh: false, // 默认不刷新, 只有新增提交后才会刷新
    }
  },
  // 增改详组件离开前判断是否需要给主页面组件加刷新标识
  beforeRouteLeave (to, from, next) {
    this.needRefresh && (to.meta.needRefresh = true)
    next()
  },
  // 主页面的路由跳回来前判断是否需要刷新列表
  beforeRouteUpdate (to, from, next) {
    if (to.meta.needRefresh) {
      this.getList()
      delete to.meta.needRefresh
    }
    next()
  },
}
